/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.mq.il;

/**
 * MBean interface.
 */
public interface ServerILJMXServiceMBean extends org.jboss.system.ServiceMBean
{

   /**
    * Get the value of JBossMQService.
    * @return value of JBossMQService.
    */
   javax.management.ObjectName getJBossMQService();

   /**
    * Set the value of JBossMQService.
    * @param v Value to assign to JBossMQService.
    */
   void setInvoker(javax.management.ObjectName jbossMQService);

   void setConnectionFactoryJNDIRef(java.lang.String newConnectionFactoryJNDIRef);

   void setXAConnectionFactoryJNDIRef(java.lang.String newXaConnectionFactoryJNDIRef);

   java.lang.String getConnectionFactoryJNDIRef();

   java.lang.String getXAConnectionFactoryJNDIRef();

   long getPingPeriod();

   void setPingPeriod(long period);

   /**
    * Get the client id for this connection factory
    * @return the client id    */
   java.lang.String getClientID();

   /**
    * Set the client id for this connection factory
    * @param clientID the client id    */
   void setClientID(java.lang.String clientID);

}
